CategoryListData (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.search.cache.CategoryListData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search.cache
Class CategoryListData

    java.lang.Object
      org.apache.lucene.facet.search.cache.CategoryListData

    public class CategoryListData

extends Object

Category list data maintained in RAM.

Speeds up facets accumulation when more RAM is available.

Note that this will consume more memory: one int (4 bytes) for each category of each document.

Note: at the moment this class is insensitive to updates of the index, and, in particular, does not make use of Lucene's ability to refresh a single segment.

See `CategoryListCache.register(CategoryListParams, CategoryListData)` and `CategoryListCache.loadAndRegister(CategoryListParams, IndexReader, TaxonomyReader, FacetIndexingParams)`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`protected` | `CategoryListData()` Empty constructor for extensions with modified computation of the data.

Method Summary
`CategoryListIterator` | `iterator(int partition)` Iterate on the category list data for the specified partition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryListData

    protected CategoryListData()

  Empty constructor for extensions with modified computation of the data.

Method Detail

### iterator

    public CategoryListIterator iterator(int partition)
                                  throws IOException

  Iterate on the category list data for the specified partition.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD